Roboto woff2 fonts are reloaded every 30 seconds if gfx.downloadable_fonts.otl_validation is true and let the text flicker

NEW
Unassigned

Status

()

defect
P3
normal
8 months ago
8 months ago

People

(Reporter: darkspirit, Unassigned)

Tracking

({nightly-community})

64 Branch
x86_64
Linux
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(firefox64 affected)

Details

()

Attachments

(1 attachment)

STR:
1. Open https://www.hardenize.com/report/dev.terrax.net
2. F12 > Network Monitor

Actual:
Only with Nightly: Five "Roboto" woff2 fonts get re-loaded every 30 seconds and let the text flicker. Even with Javascript disabled.

Expected:
Not so.

Affected:
If gfx.downloadable_fonts.otl_validation is true. This pref has been introduced by bug 1331737.
(defaults: Nightly=true, Beta/Release=false)
Chrome Dev 71 is not affected.

Don't know if this has any value:
mozregression --good 2015-01-15 --bad 2016-01-15 --pref javascript.enabled:false -a https://www.hardenize.com/report/dev.terrax.net
> 10:00.52 INFO: Last good revision: 2387ada864282880d3a498d643abe3d8b887ee59 (2015-10-14)
> 10:00.52 INFO: First bad revision: e193b4da0a8c1025aa76a403c64663ff1cd41709 (2015-10-15)
> 10:00.52 INFO: Pushlog:
> https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=2387ada864282880d3a498d643abe3d8b887ee59&tochange=e193b4da0a8c1025aa76a403c64663ff1cd41709
Debian Testing, KDE, Xorg
OS: Unspecified → Linux
Hardware: Unspecified → x86_64
Nightly seems to be unaffected on MacOS and Win10.
Nightly on Ubuntu 18.04 also unaffected. So I can only reproduce on my Debian Testing, but do not have any Roboto font installed.
(In reply to Jan Andre Ikenmeyer [:darkspirit] from comment #0)
> > 10:00.52 INFO: Pushlog:
> > https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=2387ada864282880d3a498d643abe3d8b887ee59&tochange=e193b4da0a8c1025aa76a403c64663ff1cd41709

OTS bug 1193050 in your regression range looks suspicious, but that landed in Firefox 44 (2016). Is this bug really that old?
Blocks: 1193050
(In reply to Jan Andre Ikenmeyer [:darkspirit] from comment #0)
> STR:
> 1. Open https://www.hardenize.com/report/dev.terrax.net
> 2. F12 > Network Monitor
> 
> Actual:
> Only with Nightly: Five "Roboto" woff2 fonts get re-loaded every 30 seconds
> and let the text flicker. Even with Javascript disabled.

It appears that the site has Roboto woff2 resources that are invalid, causing them to be rejected when strict OpenType sanitization is enabled; see web console messages such as:

downloadable font: Layout: DFLT script doesn't satisfy the spec. DefaultLangSys is NULL (font-family: "Roboto" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-700.woff2 unknown:31:11
downloadable font: Layout: Failed to parse script table 0 (font-family: "Roboto" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-700.woff2 unknown:31:11
downloadable font: GSUB: Failed to parse script list table (font-family: "Roboto" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-700.woff2 unknown:31:11
downloadable font: GSUB: Failed to parse table (font-family: "Roboto" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-700.woff2 unknown:31:11
downloadable font: rejected by sanitizer (font-family: "Roboto" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-700.woff2

What I see here, though, is that we then load woff (not woff2) versions of the same fonts as a fallback source, and those load successfully. And after that we don't keep re-loading anything.

It sounds like on your Debian machine, the fallback to woff isn't happening, and for some reason the (invalid) resources are re-tried over and over. Does the page refresh itself every 30 seconds, or something like that? (I don't see that here.)
Yes, it repeats every 30 seconds. First I thought it was a WebRender bug, but this is a completely fresh profile from mozregression.


mozregression --launch 2018-10-15 -a https://www.hardenize.com/report/dev.terrax.net

Page load:

GEThttps://www.hardenize.com/report/dev.terrax.net
[HTTP/2.0 200 OK 591ms]
Content Security Policy: Directive ‘child-src’ has been deprecated. Please use directive ‘worker-src’ to control workers, or directive ‘frame-src’ to control frames respectively.
GEThttps://www.hardenize.com/include-web-1539343749/css/common.css
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-web-1539343749/css/website.css
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-web-1539343749/js/jquery-3.2.1.min.js
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-web-1539343749/js/parsley.min.js
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-web-1539343749/js/raven.min.js
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-web-1539343749/js/common-functions.js
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-web-1539343749/js/detect.js
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-report-1539343749/js/modernizr-custom.js
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-report-1539343749/js/jquery.sticky-kit.min.js
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-web-1539343749/css/responsive.css
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-fonts-1539343749/fonts.css
GEThttps://www.hardenize.com/include-fonts-1539343749/font-awesome.min.css
GEThttps://www.hardenize.com/include-web-1539343749/css/normalize.css
Unknown property ‘-moz-osx-font-smoothing’.  Declaration dropped. common.css:31:29
Unknown pseudo-class or pseudo-element ‘-ms-input-placeholder’.  Ruleset ignored due to bad selector. common.css:531:2
Unknown pseudo-class or pseudo-element ‘-ms-input-placeholder’.  Ruleset ignored due to bad selector. common.css:535:7
Unknown property ‘text-size-adjust’.  Declaration dropped. responsive.css:685:20
Unknown property ‘text-size-adjust’.  Declaration dropped. responsive.css:1058:20
Error in parsing value for ‘padding’.  Declaration dropped. responsive.css:1220:16
Unknown property ‘text-size-adjust’.  Declaration dropped. responsive.css:1847:20
Error in parsing value for ‘min-height’.  Declaration dropped. responsive.css:1851:15
Unknown property ‘-moz-osx-font-smoothing’.  Declaration dropped. font-awesome.min.css:4:752
Expected ‘none’, URL, or filter function but found ‘progid’.  Error in parsing value for ‘filter’.  Declaration dropped. font-awesome.min.css:4:1990
Expected ‘none’, URL, or filter function but found ‘progid’.  Error in parsing value for ‘filter’.  Declaration dropped. font-awesome.min.css:4:2153
Expected ‘none’, URL, or filter function but found ‘progid’.  Error in parsing value for ‘filter’.  Declaration dropped. font-awesome.min.css:4:2319
Expected ‘none’, URL, or filter function but found ‘progid’.  Error in parsing value for ‘filter’.  Declaration dropped. font-awesome.min.css:4:2490
Expected ‘none’, URL, or filter function but found ‘progid’.  Error in parsing value for ‘filter’.  Declaration dropped. font-awesome.min.css:4:2663
Error in parsing value for ‘-webkit-text-size-adjust’.  Declaration dropped. normalize.css:12:29
Error in parsing value for ‘position’.  Declaration dropped. dev.terrax.net
Error in parsing value for ‘position’.  Declaration dropped. dev.terrax.net
Error in parsing value for ‘position’.  Declaration dropped. dev.terrax.net
Error in parsing value for ‘position’.  Declaration dropped. dev.terrax.net
Unknown property ‘-moz-osx-font-smoothing’.  Declaration dropped. dev.terrax.net:158:29
Unknown pseudo-class or pseudo-element ‘-ms-input-placeholder’.  Ruleset ignored due to bad selector. dev.terrax.net:227:2
Unknown pseudo-class or pseudo-element ‘-ms-input-placeholder’.  Ruleset ignored due to bad selector. dev.terrax.net:231:7
Unknown property ‘user-select’.  Declaration dropped. dev.terrax.net:372:17
Unknown property ‘text-aling’.  Declaration dropped. dev.terrax.net:809:16
Error in parsing value for ‘word-break’.  Declaration dropped. dev.terrax.net:1003:17
Error in parsing value for ‘word-break’.  Declaration dropped. dev.terrax.net:1031:17
Unknown property ‘user-select’.  Declaration dropped. dev.terrax.net:1140:17
Error in parsing value for ‘word-break’.  Declaration dropped. dev.terrax.net:1575:17
Error in parsing value for ‘word-break’.  Declaration dropped. dev.terrax.net:1582:17
Error in parsing value for ‘word-break’.  Declaration dropped. dev.terrax.net:1601:17
Error in parsing value for ‘word-break’.  Declaration dropped. dev.terrax.net:1607:17
Expected ‘none’, URL, or filter function but found ‘progid’.  Error in parsing value for ‘filter’.  Declaration dropped. dev.terrax.net:1635:13
Error in parsing value for ‘word-break’.  Declaration dropped. dev.terrax.net:2027:17
Error in parsing value for ‘position’.  Declaration dropped. dev.terrax.net:2608:15
Error in parsing value for ‘position’.  Declaration dropped. dev.terrax.net:2609:15
Error in parsing value for ‘position’.  Declaration dropped. dev.terrax.net:2610:15
Error in parsing value for ‘position’.  Declaration dropped. dev.terrax.net:2611:15
Error in parsing value for ‘display’.  Declaration dropped. dev.terrax.net:3405:18
GEThttps://www.hardenize.com/include-fonts/20170329/Roboto-300.woff2
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-fonts/20170329/Roboto-500.woff2
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-fonts/20170329/fontawesome-webfont.woff2?v=4.5.0
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-fonts/20170329/Roboto-Condensed-700.woff2
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-fonts/20170329/Roboto-700.woff2
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-fonts/20170329/Roboto-regular.woff2
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-web-1539343749/images/hardenize-logo.png
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-web-1539343749/images/hardenize-logo.svg
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-report-1539343749/images/certificate-leaf.png
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-report-1539343749/images/certificate-intermediate.png
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-report-1539343749/images/certificate-root.png
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-web/images/20170312/polyback.png
[HTTP/2.0 200 OK 0ms]
downloadable font: Layout: DFLT script doesn't satisfy the spec. DefaultLangSys is NULL (font-family: "Roboto" style:normal weight:300 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-300.woff2 unknown:1:11
downloadable font: Layout: Failed to parse script table 0 (font-family: "Roboto" style:normal weight:300 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-300.woff2 unknown:1:11
downloadable font: GSUB: Failed to parse script list table (font-family: "Roboto" style:normal weight:300 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-300.woff2 unknown:1:11
downloadable font: GSUB: Failed to parse table (font-family: "Roboto" style:normal weight:300 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-300.woff2 unknown:1:11
downloadable font: rejected by sanitizer (font-family: "Roboto" style:normal weight:300 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-300.woff2 unknown:1:11
downloadable font: Layout: DFLT script doesn't satisfy the spec. DefaultLangSys is NULL (font-family: "Roboto" style:normal weight:500 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-500.woff2 unknown:21:11
downloadable font: Layout: Failed to parse script table 0 (font-family: "Roboto" style:normal weight:500 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-500.woff2 unknown:21:11
downloadable font: GSUB: Failed to parse script list table (font-family: "Roboto" style:normal weight:500 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-500.woff2 unknown:21:11
downloadable font: GSUB: Failed to parse table (font-family: "Roboto" style:normal weight:500 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-500.woff2 unknown:21:11
downloadable font: rejected by sanitizer (font-family: "Roboto" style:normal weight:500 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-500.woff2 unknown:21:11
downloadable font: Layout: DFLT script doesn't satisfy the spec. DefaultLangSys is NULL (font-family: "Roboto Condensed" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-Condensed-700.woff2 unknown:61:11
downloadable font: Layout: Failed to parse script table 0 (font-family: "Roboto Condensed" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-Condensed-700.woff2 unknown:61:11
downloadable font: GSUB: Failed to parse script list table (font-family: "Roboto Condensed" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-Condensed-700.woff2 unknown:61:11
downloadable font: GSUB: Failed to parse table (font-family: "Roboto Condensed" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-Condensed-700.woff2 unknown:61:11
downloadable font: rejected by sanitizer (font-family: "Roboto Condensed" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-Condensed-700.woff2 unknown:61:11
downloadable font: Layout: DFLT script doesn't satisfy the spec. DefaultLangSys is NULL (font-family: "Roboto" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-700.woff2 unknown:31:11
downloadable font: Layout: Failed to parse script table 0 (font-family: "Roboto" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-700.woff2 unknown:31:11
downloadable font: GSUB: Failed to parse script list table (font-family: "Roboto" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-700.woff2 unknown:31:11
downloadable font: GSUB: Failed to parse table (font-family: "Roboto" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-700.woff2 unknown:31:11
downloadable font: rejected by sanitizer (font-family: "Roboto" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-700.woff2 unknown:31:11
downloadable font: Layout: DFLT script doesn't satisfy the spec. DefaultLangSys is NULL (font-family: "Roboto" style:normal weight:400 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-regular.woff2 unknown:11:11
downloadable font: Layout: Failed to parse script table 0 (font-family: "Roboto" style:normal weight:400 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-regular.woff2 unknown:11:11
downloadable font: GSUB: Failed to parse script list table (font-family: "Roboto" style:normal weight:400 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-regular.woff2 unknown:11:11
downloadable font: GSUB: Failed to parse table (font-family: "Roboto" style:normal weight:400 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-regular.woff2 unknown:11:11
downloadable font: rejected by sanitizer (font-family: "Roboto" style:normal weight:400 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-regular.woff2 unknown:11:11
GEThttps://www.hardenize.com/favicon/apple-touch-icon.png
[HTTP/2.0 304 Not Modified 28ms]
GEThttps://www.hardenize.com/favicon/favicon-16x16.png
[HTTP/2.0 304 Not Modified 29ms]




After 20(!) seconds:

GEThttps://www.hardenize.com/include-fonts/20170329/Roboto-300.woff2
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-fonts/20170329/Roboto-500.woff2
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-fonts/20170329/Roboto-Condensed-700.woff2
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-fonts/20170329/Roboto-700.woff2
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-fonts/20170329/Roboto-regular.woff2
[HTTP/2.0 200 OK 0ms]
downloadable font: Layout: DFLT script doesn't satisfy the spec. DefaultLangSys is NULL (font-family: "Roboto" style:normal weight:300 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-300.woff2 unknown:1:11
downloadable font: Layout: Failed to parse script table 0 (font-family: "Roboto" style:normal weight:300 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-300.woff2 unknown:1:11
downloadable font: GSUB: Failed to parse script list table (font-family: "Roboto" style:normal weight:300 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-300.woff2 unknown:1:11
downloadable font: GSUB: Failed to parse table (font-family: "Roboto" style:normal weight:300 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-300.woff2 unknown:1:11
downloadable font: rejected by sanitizer (font-family: "Roboto" style:normal weight:300 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-300.woff2 unknown:1:11
downloadable font: Layout: DFLT script doesn't satisfy the spec. DefaultLangSys is NULL (font-family: "Roboto" style:normal weight:500 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-500.woff2 unknown:21:11
downloadable font: Layout: Failed to parse script table 0 (font-family: "Roboto" style:normal weight:500 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-500.woff2 unknown:21:11
downloadable font: GSUB: Failed to parse script list table (font-family: "Roboto" style:normal weight:500 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-500.woff2 unknown:21:11
downloadable font: GSUB: Failed to parse table (font-family: "Roboto" style:normal weight:500 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-500.woff2 unknown:21:11
downloadable font: rejected by sanitizer (font-family: "Roboto" style:normal weight:500 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-500.woff2 unknown:21:11
downloadable font: Layout: DFLT script doesn't satisfy the spec. DefaultLangSys is NULL (font-family: "Roboto Condensed" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-Condensed-700.woff2 unknown:61:11
downloadable font: Layout: Failed to parse script table 0 (font-family: "Roboto Condensed" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-Condensed-700.woff2 unknown:61:11
downloadable font: GSUB: Failed to parse script list table (font-family: "Roboto Condensed" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-Condensed-700.woff2 unknown:61:11
downloadable font: GSUB: Failed to parse table (font-family: "Roboto Condensed" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-Condensed-700.woff2 unknown:61:11
downloadable font: rejected by sanitizer (font-family: "Roboto Condensed" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-Condensed-700.woff2 unknown:61:11
downloadable font: Layout: DFLT script doesn't satisfy the spec. DefaultLangSys is NULL (font-family: "Roboto" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-700.woff2 unknown:31:11
downloadable font: Layout: Failed to parse script table 0 (font-family: "Roboto" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-700.woff2 unknown:31:11
downloadable font: GSUB: Failed to parse script list table (font-family: "Roboto" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-700.woff2 unknown:31:11
downloadable font: GSUB: Failed to parse table (font-family: "Roboto" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-700.woff2 unknown:31:11
downloadable font: rejected by sanitizer (font-family: "Roboto" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-700.woff2 unknown:31:11
downloadable font: Layout: DFLT script doesn't satisfy the spec. DefaultLangSys is NULL (font-family: "Roboto" style:normal weight:400 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-regular.woff2 unknown:11:11
downloadable font: Layout: Failed to parse script table 0 (font-family: "Roboto" style:normal weight:400 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-regular.woff2 unknown:11:11
downloadable font: GSUB: Failed to parse script list table (font-family: "Roboto" style:normal weight:400 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-regular.woff2 unknown:11:11
downloadable font: GSUB: Failed to parse table (font-family: "Roboto" style:normal weight:400 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-regular.woff2 unknown:11:11
downloadable font: rejected by sanitizer (font-family: "Roboto" style:normal weight:400 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-regular.woff2 unknown:11:11

​
After further 30 seconds:

GEThttps://www.hardenize.com/include-fonts/20170329/Roboto-300.woff2
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-fonts/20170329/Roboto-500.woff2
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-fonts/20170329/Roboto-Condensed-700.woff2
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-fonts/20170329/Roboto-700.woff2
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-fonts/20170329/Roboto-regular.woff2
[HTTP/2.0 200 OK 0ms]
downloadable font: Layout: DFLT script doesn't satisfy the spec. DefaultLangSys is NULL (font-family: "Roboto" style:normal weight:300 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-300.woff2 unknown:1:11
downloadable font: Layout: Failed to parse script table 0 (font-family: "Roboto" style:normal weight:300 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-300.woff2 unknown:1:11
downloadable font: GSUB: Failed to parse script list table (font-family: "Roboto" style:normal weight:300 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-300.woff2 unknown:1:11
downloadable font: GSUB: Failed to parse table (font-family: "Roboto" style:normal weight:300 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-300.woff2 unknown:1:11
downloadable font: rejected by sanitizer (font-family: "Roboto" style:normal weight:300 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-300.woff2 unknown:1:11
downloadable font: Layout: DFLT script doesn't satisfy the spec. DefaultLangSys is NULL (font-family: "Roboto" style:normal weight:500 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-500.woff2 unknown:21:11
downloadable font: Layout: Failed to parse script table 0 (font-family: "Roboto" style:normal weight:500 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-500.woff2 unknown:21:11
downloadable font: GSUB: Failed to parse script list table (font-family: "Roboto" style:normal weight:500 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-500.woff2 unknown:21:11
downloadable font: GSUB: Failed to parse table (font-family: "Roboto" style:normal weight:500 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-500.woff2 unknown:21:11
downloadable font: rejected by sanitizer (font-family: "Roboto" style:normal weight:500 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-500.woff2 unknown:21:11
downloadable font: Layout: DFLT script doesn't satisfy the spec. DefaultLangSys is NULL (font-family: "Roboto Condensed" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-Condensed-700.woff2 unknown:61:11
downloadable font: Layout: Failed to parse script table 0 (font-family: "Roboto Condensed" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-Condensed-700.woff2 unknown:61:11
downloadable font: GSUB: Failed to parse script list table (font-family: "Roboto Condensed" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-Condensed-700.woff2 unknown:61:11
downloadable font: GSUB: Failed to parse table (font-family: "Roboto Condensed" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-Condensed-700.woff2 unknown:61:11
downloadable font: rejected by sanitizer (font-family: "Roboto Condensed" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-Condensed-700.woff2 unknown:61:11
downloadable font: Layout: DFLT script doesn't satisfy the spec. DefaultLangSys is NULL (font-family: "Roboto" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-700.woff2 unknown:31:11
downloadable font: Layout: Failed to parse script table 0 (font-family: "Roboto" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-700.woff2 unknown:31:11
downloadable font: GSUB: Failed to parse script list table (font-family: "Roboto" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-700.woff2 unknown:31:11
downloadable font: GSUB: Failed to parse table (font-family: "Roboto" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-700.woff2 unknown:31:11
downloadable font: rejected by sanitizer (font-family: "Roboto" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-700.woff2 unknown:31:11
downloadable font: Layout: DFLT script doesn't satisfy the spec. DefaultLangSys is NULL (font-family: "Roboto" style:normal weight:400 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-regular.woff2 unknown:11:11
downloadable font: Layout: Failed to parse script table 0 (font-family: "Roboto" style:normal weight:400 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-regular.woff2 unknown:11:11
downloadable font: GSUB: Failed to parse script list table (font-family: "Roboto" style:normal weight:400 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-regular.woff2 unknown:11:11
downloadable font: GSUB: Failed to parse table (font-family: "Roboto" style:normal weight:400 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-regular.woff2 unknown:11:11
downloadable font: rejected by sanitizer (font-family: "Roboto" style:normal weight:400 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-regular.woff2 unknown:11:11
Strange. I wonder why it doesn't just move on to the woff files after the woff2 versions fail to load. Can you look at the fonts.css file you're getting, and confirm whether it includes rules of the form

@font-face {
    font-family: 'Roboto';
    font-weight: 300;
    font-style: normal;
    src: local('Roboto Light'),
    local('Roboto-300'),
    url('/include-fonts/20170329/Roboto-300.woff2') format('woff2'),
    url('/include-fonts/20170329/Roboto-300.woff') format('woff')
}

etc, with both woff2 and woff formats? Or is the site serving different rules (e.g. based on your platform or something)?

Could there be something in the configuration of your Debian Testing machine that is blocking woff resources?

And the other thing that puzzles me is what is causing it to re-try after 20 or 30 seconds; AFAICS once I've loaded the page here, it's just static.
(In reply to Jonathan Kew (:jfkthame) from comment #7)
> confirm whether it includes rules of the form

Yes, I get the same CSS.

> Could there be something in the configuration of your Debian Testing machine that is blocking woff resources?

I will try it with a fresh Debian Testing inside VirtualBox later.

> And the other thing that puzzles me is what is causing it to re-try after 20 or 30 seconds; AFAICS once I've loaded the page here, it's just static.

If I disable gfx.downloadable_fonts.woff2.enabled I don't see an error,
but then the "woff" fonts are re-loaded every 30 seconds:

GEThttps://www.hardenize.com/include-fonts/20170329/Roboto-500.woff
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-fonts/20170329/Roboto-300.woff
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-fonts/20170329/Roboto-Condensed-700.woff
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-fonts/20170329/Roboto-700.woff
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-fonts/20170329/Roboto-regular.woff
[HTTP/2.0 200 OK 0ms]

30 seconds later:
GEThttps://www.hardenize.com/include-fonts/20170329/Roboto-500.woff
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-fonts/20170329/Roboto-300.woff
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-fonts/20170329/Roboto-Condensed-700.woff
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-fonts/20170329/Roboto-700.woff
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-fonts/20170329/Roboto-regular.woff
[HTTP/2.0 200 OK 0ms]
With gfx.downloadable_fonts.validate_variation_tables;false even both, woff2 + woff, are re-loaded every 30 seconds:

GEThttps://www.hardenize.com/include-fonts/20170329/Roboto-300.woff2
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-fonts/20170329/Roboto-500.woff2
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-fonts/20170329/Roboto-Condensed-700.woff2
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-fonts/20170329/Roboto-700.woff2
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-fonts/20170329/Roboto-regular.woff2
[HTTP/2.0 200 OK 0ms]
downloadable font: Layout: DFLT script doesn't satisfy the spec. DefaultLangSys is NULL (font-family: "Roboto" style:normal weight:300 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-300.woff2 unknown:1:11
downloadable font: Layout: Failed to parse script table 0 (font-family: "Roboto" style:normal weight:300 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-300.woff2 unknown:1:11
downloadable font: GSUB: Failed to parse script list table (font-family: "Roboto" style:normal weight:300 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-300.woff2 unknown:1:11
downloadable font: GSUB: Failed to parse table (font-family: "Roboto" style:normal weight:300 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-300.woff2 unknown:1:11
downloadable font: rejected by sanitizer (font-family: "Roboto" style:normal weight:300 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-300.woff2 unknown:1:11
downloadable font: Layout: DFLT script doesn't satisfy the spec. DefaultLangSys is NULL (font-family: "Roboto" style:normal weight:500 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-500.woff2 unknown:21:11
downloadable font: Layout: Failed to parse script table 0 (font-family: "Roboto" style:normal weight:500 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-500.woff2 unknown:21:11
downloadable font: GSUB: Failed to parse script list table (font-family: "Roboto" style:normal weight:500 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-500.woff2 unknown:21:11
downloadable font: GSUB: Failed to parse table (font-family: "Roboto" style:normal weight:500 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-500.woff2 unknown:21:11
downloadable font: rejected by sanitizer (font-family: "Roboto" style:normal weight:500 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-500.woff2 unknown:21:11
downloadable font: Layout: DFLT script doesn't satisfy the spec. DefaultLangSys is NULL (font-family: "Roboto Condensed" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-Condensed-700.woff2 unknown:61:11
downloadable font: Layout: Failed to parse script table 0 (font-family: "Roboto Condensed" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-Condensed-700.woff2 unknown:61:11
downloadable font: GSUB: Failed to parse script list table (font-family: "Roboto Condensed" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-Condensed-700.woff2 unknown:61:11
downloadable font: GSUB: Failed to parse table (font-family: "Roboto Condensed" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-Condensed-700.woff2 unknown:61:11
downloadable font: rejected by sanitizer (font-family: "Roboto Condensed" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-Condensed-700.woff2 unknown:61:11
downloadable font: Layout: DFLT script doesn't satisfy the spec. DefaultLangSys is NULL (font-family: "Roboto" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-700.woff2 unknown:31:11
downloadable font: Layout: Failed to parse script table 0 (font-family: "Roboto" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-700.woff2 unknown:31:11
downloadable font: GSUB: Failed to parse script list table (font-family: "Roboto" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-700.woff2 unknown:31:11
downloadable font: GSUB: Failed to parse table (font-family: "Roboto" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-700.woff2 unknown:31:11
downloadable font: rejected by sanitizer (font-family: "Roboto" style:normal weight:700 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-700.woff2 unknown:31:11
downloadable font: Layout: DFLT script doesn't satisfy the spec. DefaultLangSys is NULL (font-family: "Roboto" style:normal weight:400 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-regular.woff2 unknown:11:11
downloadable font: Layout: Failed to parse script table 0 (font-family: "Roboto" style:normal weight:400 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-regular.woff2 unknown:11:11
downloadable font: GSUB: Failed to parse script list table (font-family: "Roboto" style:normal weight:400 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-regular.woff2 unknown:11:11
downloadable font: GSUB: Failed to parse table (font-family: "Roboto" style:normal weight:400 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-regular.woff2 unknown:11:11
downloadable font: rejected by sanitizer (font-family: "Roboto" style:normal weight:400 stretch:100 src index:2) source: https://www.hardenize.com/include-fonts/20170329/Roboto-regular.woff2 unknown:11:11
GEThttps://www.hardenize.com/include-fonts/20170329/Roboto-300.woff
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-fonts/20170329/Roboto-500.woff
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-fonts/20170329/Roboto-Condensed-700.woff
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-fonts/20170329/Roboto-700.woff
[HTTP/2.0 200 OK 0ms]
GEThttps://www.hardenize.com/include-fonts/20170329/Roboto-regular.woff
[HTTP/2.0 200 OK 0ms]
Priority: -- → P3
You need to log in before you can comment on or make changes to this bug.